﻿using System.Collections.Generic;

namespace InterLinq.Base {
	public interface IBackendProvider : IQueryHandler {
		object BeginTransaction();
		void CommitTransaction(object transaction);
		void SaveChanges(IList<BackendProviderNewSet> Changes);
		void SaveChanges(IList<BackendProviderChangeSet> Changes);
		void SaveChanges(IList<BackendProviderDeleteSet> Changes);
	}
}