﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using InterLinq.Base;
using Sebarf.Core.Interfaces;

#endregion

namespace InterLinq.Sebarf {
	/// <summary>
	/// Description of the class
	/// </summary>
	[Serializable]
	public class ExecuteLinqQueryRequest : IRequest {
		#region Public Properties

		public ISerializableExpression SerializableExpression { get; set; }

		#endregion

		#region Public Methods

		public ExecuteLinqQueryRequest(ISerializableExpression expression) {
			SerializableExpression = expression;
		}

		#endregion
	}
}