﻿using System.Linq;
using InterLinq.Client;

namespace InterLinq.UnitTests.Artefacts.Objects {
	public class CompanyContext : ClientContext {
		public CompanyContext(IQueryHandler queryHandler) {
			QueryHandler = queryHandler;
		}

		public IQueryable<Company> Companies {
			get { return QueryHandler.GetTable<Company>(); }
		}

		public IQueryable<Department> Departments {
			get { return QueryHandler.GetTable<Department>(); }
		}

		public IQueryable<Employee> Employees {
			get { return QueryHandler.GetTable<Employee>(); }
		}
	}
}