﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace InterLinq.Test.Views {
	/// <summary>
	/// Defines a order that does not calculate everything
	/// </summary>
	internal class OrderPositionsByOrderStupidSimpleView : IOrderPositionsByOrderStupidSimpleView {
		#region Public Methods

		public OrderPositionsByOrderStupidSimpleView(IOrder order, int orderPositionCount) {
			m_order = order;
			ComputedNumber = orderPositionCount;
		}

		#endregion

		#region Private Fields

		private readonly IOrder m_order;

		#endregion

		#region IOrderPositionsByOrderStupidSimpleView Members

		public string OrderName {
			get { return m_order.Name; }
			set { m_order.Name = value; }
		}

		public int ComputedNumber { get; private set; }

		#endregion
	}
}