﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using System.ServiceModel;

#endregion

namespace Sebarf.Core.Interfaces {
	[ServiceContract]
	public interface IRemoteRequestHandlerEngine {
		#region Public Methods

		[OperationContract]
		[NetDataContractFormat]
		[FaultContract(typeof(Exception))]
		object Process(string callerId, IRequest request);

		#endregion
	}
}