﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Core.Interfaces;

#endregion

namespace Sebarf.Core {
	/// <summary>
	/// is responsible for registering an additional request handler
	/// </summary>
	public interface IAddRequestHandlerService {
		#region Public Methods

		/// <summary>
		/// registers an additional request handler
		/// </summary>
		/// <param name="handler"></param>
		void AddAddionalHandler(IRequestHandler handler);

		#endregion
	}
}