﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace Sebarf.Diagnostics.Interfaces {
	/// <summary>
	/// is responsible for logging informations
	/// </summary>
	public interface ILoggerService {
		#region Public Methods

		/// <summary>
		/// writes a log entry
		/// </summary>
		/// <param name="priority"></param>
		/// <param name="message"></param>
		void WriteLogEntry(int priority, string message);

		#endregion
	}
}