﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;

#endregion

namespace Sebarf.ProcessChains.Interfaces {
	/// <summary>
	/// Interface for process chain execution
	/// </summary>
	public interface IProcessChainExecutorService {
		#region Public Methods

		/// <summary>
		/// Processes the given object by applying the right chain.
		/// </summary>
		/// <typeparam name="TToHandle"></typeparam>
		/// <param name="o"></param>
		/// <returns></returns>
		Object Process<TToHandle>(TToHandle o);

		#endregion
	}
}