﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using Sebarf.Core.Interfaces;

#endregion

namespace Sebarf.ProcessChains.Interfaces {
	/// <summary>
	/// Signaling request. Does not contain content.
	/// Causes the server to build the process chain based on 
	/// server side configuration.
	/// </summary>
	[Serializable]
	public class ResolveProcessChainDependenciesRequest : IRequest {
	}
}