﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using System.Collections.Generic;
using Sebarf.Core.Interfaces;

#endregion

namespace Sebarf.Profiles {
	/// <summary>
	/// is responsible to request of loading the profile with a given id.
	/// for loading the profile, additional named parameters are given,
	/// </summary>
	[Serializable]
	public class ProfileLoadRequest : IRequest {
		#region Public Properties

		public string ProfileId { get; set; }
		public Dictionary<String, Object> ProfileLoadArguments { get; set; }

		#endregion
	}
}