﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using Sebarf.Security.Interfaces;
using Sebarf.Services.Interfaces;

#endregion

namespace Sebarf.Security.Authentication {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class DummyAuthenticationManagementService : Service, IAuthenticationManagementService {
		#region IAuthenticationManagementService Members

		public bool Authenticate(DoAuthenticationRequest request) {
			return true;
		}

		public bool IsAuthenticated() {
			return true;
		}

		public IIdentitity GetIdentity() {
			return new DummyUser();
		}

		#endregion
	}

	public class DummyUser : IIdentitity {
		#region IIdentitity Members

		public bool IsAuthenticated {
			get { return true; }
		}

		public string Id {
			get { throw new NotImplementedException(); }
			set { throw new NotImplementedException(); }
		}

		#endregion
	}
}