﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace Sebarf.Security.UserPassword.Interfaces {
	/// <summary>
	/// The interface for a username/password authentication service
	/// </summary>
	public interface IUsernamePasswordAuthenticationService {
		#region Public Methods

		/// <summary>
		/// Returns true if the password for the given user is valid.
		/// </summary>
		/// <param name="id"></param>
		/// <param name="password"></param>
		/// <returns></returns>
		bool Authenticate(string id, string password);

		#endregion
	}
}