﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace Sebarf.Services.Interfaces {
	/// <summary>
	/// Responsible for locating all registered services within the system
	/// </summary>
	public interface IDiagnosticsServiceLocatorService {
		#region Public Methods

		/// <summary>
		/// returns all registereds services
		/// </summary>
		/// <typeparam name="TServiceType"></typeparam>
		/// <returns></returns>
		T[] GetAllRegisteredServices<T>();

		#endregion
	}
}