﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;

#endregion

namespace Sebastof.Core.Services.Interfaces {
	/// <summary>
	/// Is responsible for 
	/// - retrieving the type that the deserialization process has to create
	/// </summary>
	public interface IDeserializationGetTargetTypeService {
		#region Public Methods

		/// <summary>
		/// returns the type that the deserialization process has to create
		/// </summary>
		/// <returns></returns>
		Type GetTargetType();

		#endregion
	}
}