﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;

#endregion

namespace Sebastof.Core.Services.Interfaces {
	/// <summary>
	/// Is responsible for
	/// - setting the target type that has to be restored by the deserialization process
	/// </summary>
	public interface IDeserializationSetTargetTypeService {
		#region Public Methods

		/// <summary>
		///  set the target type that has to be restored by the deserialization process
		/// </summary>
		/// <param name="targetType"></param>
		void SetTargetType(Type targetType);

		#endregion
	}
}