﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using Utils;

#endregion

namespace Sebastof.ProcessChains.ProcessSteps {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class SerializeObject<TargetType> : ProcessStepConverter<Object, TargetType> {
		#region Public Methods

		protected override TargetType Convert(object toProcess) {
			return (TargetType)toProcess;
		}

		public override bool CanProcess(object toProcess) {
			return toProcess is TargetType;
		}

		#endregion
	}
}