﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Collections.Generic;
using Sebastof.Types;

#endregion

namespace Sebastof.Services.Interfaces {
	/// <summary>
	/// Is responsible for retrieving additonal information about the current change handler
	/// </summary>
	public interface IChangeHandlerDiagnosticsService {
		#region Public Methods

		IEnumerable<BaseChangetSet> GetAllPendingChanges();

		IList<ChangeSet> GetChangesByNonFullyLoadedObjectById(string oid);

		#endregion
	}
}