﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace Sebastof.Services.Interfaces {
	/// <summary>
	/// Is responsible to return for each object its unique identity
	/// </summary>
	public interface IObjectIdentifierLocatorService {
		#region Public Methods

		/// <summary>
		/// Gets the unique identifier of the given object
		/// </summary>
		/// <param name="value">The object of interest</param>
		/// <returns>unique identifier of the given object</returns>
		string GetIdentityForObject(object value);

		#endregion
	}
}