﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using InterLinq.Views;

#endregion

namespace Client {
	/// <summary>
	/// Typed view
	/// </summary>
	public class CarsAndtheirOwnerView : TypedView {
		#region Public Properties

		public string CarName {
			get { return GetValue<String>("CarName"); }
			set { SetValue("CarName", value); }
		}

		public string PersonName {
			get { return GetValue<String>("PersonName"); }
			set { SetValue("PersonName", value); }
		}

		#endregion
	}
}