﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Collections.Generic;
using Sebarf.Diagnostics.Interfaces;

#endregion

namespace Diagnositcs.Test {
	/// <summary>
	/// logger that stores its log entries
	/// </summary>
	internal class DummyLogger : ILoggerService {
		#region Public Properties

		public List<string> LogEntries { get; set; }

		#endregion

		#region Private Methods

		public DummyLogger() {
			LogEntries = new List<string>();
		}

		#endregion

		#region ILoggerService Members

		public void WriteLogEntry(int priority, string message) {
			LogEntries.Add(message);
		}

		#endregion
	}
}