﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Linq;

#endregion

namespace InterLinq.Client {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class ClientContext {
		#region Public Properties

		/// <summary>
		/// Gets the <see cref="IQueryHandler"/>.
		/// </summary>
		public IQueryHandler QueryHandler { get; set; }

		public IQueryable<T> GetData<T>() where T : class {
			return QueryHandler.GetTable<T>();
		}

		#endregion
	}
}