﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using InterLinq.Services.Interface;
using Sebarf.Services.Interfaces;

#endregion

namespace InterLinq.Server.Services.Impl {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class QueryHandlerLocatorService : Service, IQueryHandlerLocatorService {
		#region Public Properties

		public IQueryHandler QueryHandler { get; set; }

		#endregion

		#region Public Methods

		#endregion

		#region IQueryHandlerLocatorService Members

		public IQueryHandler GetQueryHandler() {
			return QueryHandler;
		}

		#endregion
	}
}