using System;
using System.Collections.Generic;

namespace InterLinq.UnitTests.Artefacts.Objects {
	[Serializable]
	public class Company {
		#region Properties

		private List<Department> m_departments = new List<Department>();
		public int Id { get; set; }

		public string Name { get; set; }

		public DateTime Foundation { get; set; }

		public Employee ChiefExecutiveOfficer { get; set; }

		public List<Department> Departments {
			get { return m_departments; }
			set { m_departments = value; }
		}

		#endregion
	}
}