using System;
using System.Collections.Generic;

namespace InterLinq.UnitTests.Artefacts.Objects {
	[Serializable]
	public class Department {
		#region Properties

		private List<Employee> m_employees = new List<Employee>();
		public int Id { get; set; }

		public string Name { get; set; }

		public DateTime Foundation { get; set; }

		public int QualityLevel { get; set; }

		public Company Company { get; set; }

		public Employee Manager { get; set; }

		public List<Employee> Employees {
			get { return m_employees; }
			set { m_employees = value; }
		}

		#endregion
	}
}