﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Profiles;
using Sebarf.Profiles.WPF;

#endregion

namespace Prototyp1.Profiles.Client {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class ClientProfiles {
		#region Public Properties

		// public Properties located here

		#endregion

		#region Public Methods

		public static ProfileLoadRequest GetCacheLessProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "CachelessProfile.xaml", ProfileId = "Profile" };
		}

		public static ProfileLoadRequest GetLazyLoadProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "CacheBasedLazyLoadProfile.xaml", ProfileId = "Profile" };
		}

		public static ProfileLoadRequest GetCacheBasedProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "CacheBasedProfile.xaml", ProfileId = "Profile" };
		}

		public static ProfileLoadRequest GetSecurityBasedCacheBasedLazyLoadProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "SecurityBasedCacheBasedLazyLoadProfile.xaml", ProfileId = "Profile" };
		}

		#endregion
	}
}