﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Profiles;
using Sebarf.Profiles.WPF;

#endregion

namespace Prototyp1.TestServer.Profiles.Server {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class ServerProfiles {
		#region Public Properties

		// public Properties located here

		#endregion

		#region Public Methods

		public static ProfileLoadRequest GetCacheLessProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "CachelessProfile_Server.xaml", ProfileId = "Profile" };
		}

		public static ProfileLoadRequest GetLazyLoadingCacheBasedProfile() {
			return new WpfBasedProfileLoadRequest("Profile", "CacheBasedLazyLoadProfile_Server.xaml");
			;
		}

		public static ProfileLoadRequest GetSecurityBasedCacheBasedLazyLoadProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "SecurityBasedCacheBasedLazyLoadProfile_Server.xaml", ProfileId = "Profile" };
		}

		public static ProfileLoadRequest GetCacheBasedProfile() {
			return new WpfBasedProfileLoadRequest { ResourceFileName = "CacheBasedProfile_Server.xaml", ProfileId = "Profile" };
		}

		#endregion
	}
}