﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Core.Interfaces;

#endregion

namespace Sebarf.Core.Internal {
	/// <summary>
	/// is responsible for locating the used IRequestHandlerEngine
	/// </summary>
	public interface IRequestHandlerEngineLocatorService {
		#region Public Methods

		/// <summary>
		/// locates the used IRequestHandlerEngine
		/// </summary>
		/// <returns></returns>
		IRequestHandlerEngine GetLocalEngine();

		#endregion
	}
}