﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Core.Interfaces;
using Sebarf.Services.Interfaces;

#endregion

namespace Sebarf.Core.Internal {
	/// <summary>
	/// Description of the class
	/// </summary>
	internal class RequestHandlerEngineLocatorService : Service, IRequestHandlerEngineLocatorService {
		#region Public Properties

		public IRequestHandlerEngine RequestHandlerEngine { get; private set; }

		#endregion

		#region Public Methods

		public RequestHandlerEngineLocatorService(IRequestHandlerEngine engine) {
			RequestHandlerEngine = engine;
		}

		#endregion

		#region IRequestHandlerEngineLocatorService Members

		public IRequestHandlerEngine GetLocalEngine() {
			return RequestHandlerEngine;
		}

		#endregion
	}
}