﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Collections.Generic;
using Utils;

#endregion

namespace Sebarf.ProcessChains.Interfaces {
	/// <summary>
	/// Interface for process chain location.
	/// </summary>
	public interface IProcessChainLocatorService {
		/// <summary>
		/// Returns all process chains
		/// </summary>
		/// <returns></returns>
		IList<IProcessStep> GetProcessChains();
	}
}