﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Utils;

#endregion

namespace Sebarf.ProcessChains.Interfaces {
	/// <summary>
	/// Interface of a service managing the process chain.
	/// </summary>
	public interface IProcessChainRegisterService {
		#region Public Properties

		#endregion

		#region Public Methods

		/// <summary>
		/// Register a process chain.
		/// EACH STEP IS THE ROOT OF A CHAIN!
		/// </summary>
		/// <param name="processStep">The first step of the chain</param>
		void RegisterProcessChain(IProcessStep processStep);

		#endregion

		#region Private Methods

		#endregion

		#region Private Fields

		#endregion
	}
}