﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Collections.ObjectModel;
using Sebarf.Services.Interfaces;
using Utils;

#endregion

namespace Sebarf.Profiles.WPF {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class ProfileConfiguration {
		#region Public Properties

		public string ProfileName { get; set; }

		public ObservableCollection<IServiceImpl> Services { get; set; }
		public ObservableCollection<IProcessStep> Processes { get; set; }

		#endregion

		#region Public Methods

		public ProfileConfiguration() {
			Services = new ObservableCollection<IServiceImpl>();
			Processes = new ObservableCollection<IProcessStep>();
		}

		#endregion
	}
}