﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Markup;
using Sebarf.Core.Interfaces;

#endregion

namespace Sebarf.Configuration {
	/// <summary>
	/// Description of the class
	/// </summary>
	[DefaultProperty("Handlers")]
	[ContentProperty("Handlers")]
	public class RequestHandlerCollection {
		#region Public Properties

		public ObservableCollection<IRequestHandler> Handlers { get; set; }

		#endregion

		#region Public Methods

		public RequestHandlerCollection() {
			Handlers = new ObservableCollection<IRequestHandler>();
		}

		#endregion
	}
}