﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Core.Interfaces;
using Sebarf.Security.Interfaces;

#endregion

namespace Sebarf.Security.Authentication {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class UsernamePasswordAuthenticationRequestHandler : RequestHandler<UsernamePasswordAuthenticationRequest> {
		#region Public Methods

		protected override object OnProcessRequest(UsernamePasswordAuthenticationRequest request,
													IServiceLocatorService serviceLocator) {
			return serviceLocator.GetRegisteredService<IAuthenticationManagementService>().Authenticate(request);
		}

		#endregion
	}
}