﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace Sebarf.Session.Interfaces {
	/// <summary>
	/// Is been responsible for
	/// - a. handling the timeout of a user session. 
	/// - b. after reaching the timeout, it will do a session close request
	/// </summary>
	public interface ISessionTimeoutHandlerService {
		#region Public Methods

		/// <summary>
		/// do a reset of the session timeout
		/// </summary>
		void ResetTimeout();

		#endregion
	}
}