﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using System;
using System.Collections.Generic;
using Sebastof.Services.Interfaces;

#endregion

namespace Sebastof.ProcessChains.ProcessSteps {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class Finalizer : FinalizerBase<object> {
		#region Public Methods

		// public methods located here
		protected override Object OnProcess(Object toProcess) {
			var handledObjects = new List<object>();
			if (toProcess is ISebastofApplicationObject) {
				HandleInterLinqApplicationObject(toProcess as ISebastofApplicationObject, handledObjects);
			}
			else {
				HandleObject(toProcess, handledObjects);
			}
			return toProcess;
		}

		#endregion
	}
}