﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

#endregion

namespace Sebastof.Services.Interfaces {
	/// <summary>
	/// Represents the change state of an object.
	/// If the object is newly created, it's state is New. 
	/// If an object is loaded through Sebastof, its state will be Existing.
	/// </summary>
	public enum EChangeState {
		/// <summary>
		/// The object is newly created by the end application
		/// </summary>
		New,

		/// <summary>
		/// The object was loaded throuh Sebastof and is already existing on the back-end.
		/// </summary>
		Existing
	}
}