﻿#region Header

/*
Remote views based on linq
By

Pascal Hauser 
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

and

Raphael Gfeller
Dipl. Ing. in Informatik, Hochschule für Technik Rapperswil, 2006
Master Thesis, Hochschule für Technik Rapperswil, 2008-2010

*/

#endregion

#region Usings

using Sebarf.Core.Interfaces;

#endregion

namespace Shared.Handler {
	/// <summary>
	/// Description of the class
	/// </summary>
	public class MultiplyRequestHandler : RequestHandler<MultiplyRequest> {
		#region Public Methods

		protected override object OnProcessRequest(MultiplyRequest request, IServiceLocatorService serviceLocator) {
			return request.Number1 * request.Number2;
		}

		#endregion
	}
}